aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <b@bpiotrowski.pl>2013-10-20 13:21:20 +0200
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2013-10-20 13:21:20 +0200
commit2016269047c8c7a163e33f23ab0707a0c1933a63 (patch)
tree10cd6b39a02e9d6907e9fd567040c34d1e6be142 /testing
parentb05fe49f7d1174a25d191c5dda6a079445a7a46e (diff)
downloadaports-2016269047c8c7a163e33f23ab0707a0c1933a63.tar.gz
aports-2016269047c8c7a163e33f23ab0707a0c1933a63.tar.bz2
aports-2016269047c8c7a163e33f23ab0707a0c1933a63.tar.xz
testing/menu-cache: new aport
Caching mechanism for freedesktop.org compliant menus. The package is a dependency of libfm, a library behind pcmanfm, lightweight file manager..
Diffstat (limited to 'testing')
-rw-r--r--testing/menu-cache/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/menu-cache/APKBUILD b/testing/menu-cache/APKBUILD
new file mode 100644
index 0000000000..daa96bb194
--- /dev/null
+++ b/testing/menu-cache/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+
+pkgname=menu-cache
+pkgver=0.5.1
+pkgrel=0
+pkgdesc='Caching mechanism for freedesktop.org compliant menus'
+arch='all'
+license='GPL2'
+url='http://lxde.org/'
+makedepends='glib-dev'
+options='libtool'
+source="http://downloads.sourceforge.net/lxde/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --libexecdir=/usr/lib/menu-cache \
+ --disable-static || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="fd296c317a235782fbbd37b6f54bc985 menu-cache-0.5.1.tar.gz"
+sha256sums="08e658021faecd4eefb26cc21b207251a6b4e844e131cec491471aba9eaea122 menu-cache-0.5.1.tar.gz"
+sha512sums="44d55a01f5452804e77518c4a2ba400a5b65edbf4061e346a6c02356195867eaa0bb9eaa057fbf603ddf79759acb16632bf3b7ae543eebc1544e28517cd23066 menu-cache-0.5.1.tar.gz"